#ifndef __IN_MAIN_H__
#define __IN_MAIN_H__
//****************************************************************************
//**
//**    IN_MAIN.H
//**    Header - Input - Main Interface
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#include "sys_defs.h"
#include "in_event.h"

//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================
// initialization and shutdown
void IN_Init();
void IN_Shutdown();

// per-frame operation
void IN_Frame();

// receiver control
dword IN_AddReceiver(bbool (*handler)(in_event_t *));
void IN_ChangeReceiverHandler(dword receiver, bbool (*handler)(in_event_t *));
void IN_RemoveReceiver(dword receiver);

// key names and shifted equivalents
char* IN_NameForKey(dword key);
dword IN_KeyForName(char* name);
dword IN_GetShiftedKey(dword key);

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER IN_MAIN.H
//**
//****************************************************************************
#endif // __IN_MAIN_H__
