#ifndef __IN_WIN_H__
#define __IN_WIN_H__
//****************************************************************************
//**
//**    IN_WIN.H
//**    Header - Input - Windows DirectInput
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#define SYS_DEFS_INCLUDE_WIN32
#include "sys_defs.h"
#include "in_event.h"

//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================
// initialization and shutdown
void INW_Init();
void INW_Shutdown();

// per-frame operation
void INW_Frame();

// device control
void INW_SetFocus();
void INW_KillFocus();

// set event handler
void INW_SetEventHandler(void (*handler)(in_event_t *));

// command functions
void INW_InjectKeyEvent(dword key, bbool state); // force a key event
void INW_SetMouseExclusive(bbool exclusive);
void INW_SetMouseLimits(sdword x1, sdword y1, sdword x2, sdword y2);
void INW_SetMouseSensitivity(float factor); // used as multiplier for mouse
float INW_GetMouseSensitivity();

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER IN_WIN.H
//**
//****************************************************************************
#endif // __IN_WIN_H__
