#ifndef __MEM_MAIN_H__
#define __MEM_MAIN_H__
//****************************************************************************
//**
//**    MEM_MAIN.H
//**    Header - Memory Management
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================

// init/shutdown
void MEM_Init();
void MEM_Shutdown();

// zone functions
dword MEM_ZoneCreate(dword size); // create a new zone with given limit
void* MEM_ZoneAlloc(dword size, dword zoneid); // allocate a block of memory
void MEM_ZoneDestroy(dword zoneid); // free a zone and its memory
void MEM_ZoneRestart(dword zoneid); // restart a zone at its base address
bbool MEM_ZoneIsValid(dword zoneid); // check if zoneid is a valid zone
void* MEM_ZoneGetBase(dword zoneid); // get a zone's base address
dword MEM_ZoneGetCurrent(dword zoneid); // get a zone's allocated size
dword MEM_ZoneGetLimit(dword zoneid); // get a zone's size limit

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER MEM_MAIN.H
//**
//****************************************************************************
#endif // __MEM_MAIN_H__
