#ifndef __SYS_WIN_H__
#define __SYS_WIN_H__
//****************************************************************************
//**
//**    SYS_WIN.H
//**    Header - Windows System
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#define SYS_DEFS_INCLUDE_WIN32
#include "sys_defs.h"

//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
#define SYSW_WINDOWFUNC(name) \
	LRESULT CALLBACK name(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
#define SYSW_DIALOGBOXFUNC(name) \
	BOOL CALLBACK name(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)

//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
extern HINSTANCE sysw_hInst;
extern HWND sysw_hwnd;

//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================
// command line arguments
byte SYSW_Argc(); // argument count
char* SYSW_Argv(byte index); // argument strings

// time retrieval
float SYSW_TimeFloat(); // get time passed in program in seconds

// utility dialogs
int SYSW_MessageBox(char* caption, unsigned long boxType, char* text, ... );

// debugging window
void SYSW_InitDebug();
void SYSW_ShutdownDebug();
void SYSW_DebugString(char* text);

// virtualalloc wrappers
void* SYSW_MemReserve(dword size);
void* SYSW_MemCommit(void* base, dword size);
void SYSW_MemFree(void* base);

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER SYS_WIN.H
//**
//****************************************************************************
#endif // __SYS_WIN_H__
