#ifndef __VID_WIN_H__
#define __VID_WIN_H__
//****************************************************************************
//**
//**    VID_WIN.H
//**    Header - Windows DirectDraw
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#define SYS_DEFS_INCLUDE_WIN32
#include "sys_defs.h"

//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================

// init/shutdown/frame
void VIDW_Init();
void VIDW_Shutdown();
void VIDW_Frame();

// change the video mode
bbool VIDW_SetMode(dword width, dword height, dword bitDepth);

// return the current video frame buffer, width, height, and pitch
byte* VIDW_GetBuffer();
dword VIDW_GetWidth();
dword VIDW_GetHeight();
dword VIDW_GetPitch();

// palette control
void VIDW_SetPaletteRange(byte* buffer, dword startColor, dword numColors);
void VIDW_SetPaletteEntry(byte color, byte r, byte g, byte b);
void VIDW_GetPaletteEntry(byte color, byte *r, byte *g, byte *b);

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER VID_WIN.H
//**
//****************************************************************************
#endif // __VID_WIN_H__
