#ifndef __XF_FILE_H__
#define __XF_FILE_H__
//****************************************************************************
//**
//**    XF_FILE.H
//**    Header - Extended File System
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#include "sys_defs.h"
//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================

// initialization/shutdown
void XF_Init();
void XF_Shutdown();

// standard file operations
dword XF_Open(char* filename); // open a file for reading
dword XF_Create(char* filename); // create a file for writing
bbool XF_Close(dword fileHandle); // close a file
bbool XF_Read(void* buf, dword size, dword fileHandle); // read from file
bbool XF_Write(void* buf, dword size, dword fileHandle); // write to file
bbool XF_Seek(dword fileHandle, dword position); // seek to absolute position
bbool XF_SeekCurrent(dword fileHandle, sdword position); // seek from current position
bbool XF_SeekEnd(dword fileHandle, dword position); // seek back from end of file
dword XF_Tell(dword fileHandle); // tell current position in file
dword XF_Size(dword fileHandle); // tell total length of file

// archive operations
bbool XF_ArchiveCreate(char* subdir); // create an archive file for a subdirectory
bbool XF_ArchiveExtract(char* subdir); // create and extract archive subdirectory

// miscellaneous
bbool XF_RootPath(char* path); // set XF_Open root dirs, separated by semicolons

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER XF_FILE.H
//**
//****************************************************************************
#endif // __XF_FILE_H__
